Skip to main content
GET
/
api
/
v1
/
products
/
{product_id}
/
tasks
/
{task_id}
/
last-run-summary
Get last completed task run summary
curl --request GET \
  --url https://api.clarityq.ai/api/v1/products/{product_id}/tasks/{task_id}/last-run-summary \
  --header 'X-API-Key: <api-key>'
{
  "assets": [
    {
      "asset_type": "SQL",
      "data": [
        {
          "query": "<string>",
          "title": "",
          "result_count": 123,
          "result_rows": [
            {}
          ],
          "error": "<string>"
        }
      ]
    }
  ],
  "summary": "<string>"
}

Authorizations

X-API-Key
string
header
required

API key obtained from the ClarityQ dashboard.

Path Parameters

product_id
string<uuid>
required
task_id
string
required

Response

Successful Response

Summary of a conversation's last assistant response.

assets
SqlAsset · object[]

Assets extracted from the last assistant message, grouped by type.

summary
string | null

Text summary from the assistant (last text part of the message).